Wrong layer CRS recognition ( the 'Hartebeesthoek94' issue)

2011-03-15 06:20 AM - Borys Jurgiel

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Projection Support

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13679

Description

Unfortunately r15361 have introduced one huge problem: all layers with correct WGS-84 prj definition are recognized as the 'EPSG:4148

- Hartebeesthoek94' crs. It can be really confusing and annoying for users and I believe we can't release 1.7 with it. Especially if it will be

the last release of the 1.x series.

What about trying to find the exact definition and then fallback to the less restrictive comparision?

Associated revisions

Revision 4f08ba70 - 2011-03-17 12:46 PM - Jürgen Fischer

heck, fix #3620

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15527 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision c8153fb9 - 2011-03-17 12:46 PM - Jürgen Fischer

heck, fix #3620

git-svn-id: http://svn.osgeo.org/qgis/trunk@15527 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2011-03-15 08:44 AM - cgsbob -

When I first encountered this problem, I was told that I can use

OVERRIDE_PROJ_DATUM_WITH_TOWGS84=NO 

to bypass this problem.  Take a look at [http://trac.osgeo.org/gdal/ticket/3450]

#2 - 2011-03-15 09:02 AM - Borys Jurgiel

I only mean that all the files existing around, that was recognised as well known 4326 should be still recognised as it. With all due respect for EPSG:4148,

it's unknown for most users.

2024-04-27 1/2

http://svn.osgeo.org/qgis/trunk/qgis@15527
http://svn.osgeo.org/qgis/trunk@15527
http://trac.osgeo.org/gdal/ticket/3450


#3 - 2011-03-15 10:38 AM - Jürgen Fischer

please retry with commit:393e206e (SVN r15503).

#4 - 2011-03-15 11:13 AM - Borys Jurgiel

Seems to be fixed for OGR layers. Rasters are still affected.

#5 - 2011-03-15 04:22 PM - Jürgen Fischer

Replying to [comment:4 borysiasty]:

Seems to be fixed for OGR layers. Rasters are still affected.

please try with commit:59ce32eb (SVN r15508) - unfortunately I don't have a good set of rasters to test with - but it correctly picks EPSG:32633 for

tests/landsat.tif...

#6 - 2011-03-15 05:17 PM - Borys Jurgiel

- Status changed from Open to Closed

- Resolution set to fixed

Seems it's fixed now. Thanks!

#7 - 2011-03-17 03:36 AM - Borys Jurgiel

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

oooops :(  Still the same with this file:

http://trac.osgeo.org/qgis/attachment/ticket/3508/l2.zip

#8 - 2011-03-17 04:46 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Feedback to Closed

one more take in commit:c8153fb9 (SVN r15528).

2024-04-27 2/2

http://trac.osgeo.org/qgis/attachment/ticket/3508/l2.zip

